{% extends "bootstrap/base.html" %}
{% block html_attribs %} lang="en"{% endblock %}
{% block title %}S3 Object List{% endblock %}

{% block navbar %}
<div class="navbar navbar-fixed-top">
  <!-- ... -->
</div>
{% endblock %}

{% block content %}
<div class="container">
    <div class="col-12-xs">
      <h3>Bucket Info</h3>
      <p>Created: {{ my_bucket.creation_date | datetimeformat }}</p>

      <hr>
      <form class="upload-form" action="/upload" method="POST" enctype="multipart/form-data">
        <p><input type="file" name="file"></p>
        <button type="submit" class="btn btn-primary">Upload</button>
      </form>
      </form>

      <hr>
      <table class="table table-striped">
        <tr>
          <th>Filename</th>
          <th>Last Modified</th>
          <th>Type</th>
          <th></th>
        </tr>
        {% for f in files %}
        <tr>
          <td>{{ f.key }}</td>
          <td>{{ f.last_modified | datetimeformat }}</td>
          <td class="td-buttons">
            <form class="delete-form" action="{{ url_for('delete') }}" method="POST">
              <input type="hidden" name="key" value="{{ f.key }}">
              <button type="submit" class="btn btn-danger btn-sm">Delete</button>
            </form>
            <form class="delete-form" action="{{ url_for('download') }}" method="POST">
              <input type="hidden" name="key" value="{{ f.key }}">
              <button type="submit" class="btn btn-default btn-sm">Download
              </button>
            </form> 
          </td>
        </tr>
        {% endfor %}
      </table>

    </div>
  </div>
{% endblock %}
